> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-skin-analysis-3-0/breakouts/papules.md).

# Papules

What the Papules parameter detects, the facial areas it covers, and how to read the grades it returns.

## About Parameter

This parameter identifies and measures the presence of papules on the skin. It helps users track the number and severity of visible papules, making it easier to monitor treatment effectiveness and skin condition changes over time.

## Features

1. Evaluates severity (grade) of papules
2. Multi-area analysis: nose, forehead, perioral, left cheek, right cheek.
3. Works with 1 and 3 side facial images.

## Output

1. Grade from 1 to 5.
2. Number of papules for the whole face and specific facial regions: nose, forehead, left eye, right eye, perioral, left cheek, right cheek.
3. Vector mask for detected features.

## Grades Description

<table><thead><tr><th width="119.62109375">Grade value</th><th width="359.796875">Description</th><th>Tags</th></tr></thead><tbody><tr><td>1</td><td>Number of papules within the range of 0-1</td><td>Great</td></tr><tr><td>2</td><td>Number of papules within the range of 2-3</td><td>Good</td></tr><tr><td>3</td><td>Number of papules within the range of 4-6</td><td>Average</td></tr><tr><td>4</td><td>Number of papules within the range of 7-10</td><td>Poor</td></tr><tr><td>5</td><td>Number of papules is more than 10</td><td>Poor</td></tr></tbody></table>

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Papules Parameter Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-skin-analysis-3.0/breakouts/papules.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/face-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Face Skin Analysis 3.0 on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-skin-analysis-3-0/breakouts/papules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
